autoweka

## Class Configuration

- java.lang.Object
- - autoweka.XmlSerializable
  - - autoweka.Configuration

- All Implemented Interfaces:
    java.lang.Comparable

      public class Configuration
      extends XmlSerializable
      implements java.lang.Comparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`
    `Configuration(java.util.List<java.lang.String> argsList)`
    `Configuration(java.lang.String args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object aTarget)`
    `void` | `forceUpdateAverage()`
    `int` | `getAmtFolds()`
    `java.lang.String` | `getArgStrings()`
    `double` | `getAverageScore()`
    `int` | `getEvaluatedFold()`
    `double` | `getEvaluatedScore()`
    `int` | `getEvaluationAmount()`
    `java.util.List<java.lang.String>` | `getFolds()`
    `java.util.List<java.lang.String>` | `getScores()`
    `int` | `hashCode()`
    `void` | `lazyUpdateAverage()`
    `void` | `mergeWith(Configuration c)`
    `void` | `setEvaluationValues(double aScore, int aFoldId)`
    `void` | `setFoldId(int aFoldId)`
    `void` | `setScore(double aScore)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class autoweka.XmlSerializable

      `fromXML, fromXML, populateObjectFromCMDParams, populateObjectFromCMDParams, toXML, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration()

    - #### Configuration

          public Configuration(java.util.List<java.lang.String> argsList)

    - #### Configuration

          public Configuration(java.lang.String args)

  - ### Method Detail

    - #### mergeWith

          public void mergeWith(Configuration c)

    - #### lazyUpdateAverage

          public void lazyUpdateAverage()

    - #### forceUpdateAverage

          public void forceUpdateAverage()

    - #### compareTo

          public int compareTo(java.lang.Object aTarget)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setEvaluationValues

          public void setEvaluationValues(double aScore,
                                          int aFoldId)

    - #### setScore

          public void setScore(double aScore)

    - #### setFoldId

          public void setFoldId(int aFoldId)

    - #### getAverageScore

          public double getAverageScore()

    - #### getEvaluationAmount

          public int getEvaluationAmount()

    - #### getEvaluatedScore

          public double getEvaluatedScore()

    - #### getEvaluatedFold

          public int getEvaluatedFold()

    - #### getAmtFolds

          public int getAmtFolds()

    - #### getArgStrings

          public java.lang.String getArgStrings()

    - #### getFolds

          public java.util.List<java.lang.String> getFolds()

    - #### getScores

          public java.util.List<java.lang.String> getScores()